set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

/*************************************
* STORED PROCEDURE stp_insNewLemma
*
*  elimina record anagrafica classe prodotto
*
* mod : 14/05/2012	
* aut : S.E. Locatelli
**************************************/
create PROCEDURE stp_insNewLemma
(
	@lemma		NVARCHAR(50),
	@traduzione NVARCHAR(500)
)
AS

-- elimino se c'era gią...
DELETE
FROM		Vocabolario
WHERE		lemma = @lemma

-- inserisco x tutte le lingue attive...
INSERT INTO	Vocabolario
SELECT		lingua, @lemma, @traduzione 
FROM		Lingue

SELECT		*
FROM		Vocabolario
WHERE		lemma = @lemma

RETURN
go

commit;
go


set xact_abort on
go

begin transaction
go

INSERT INTO dbo.Vocabolario
  VALUES (N'EN', N'lblNumUDC', N'Numero UDC')
INSERT INTO dbo.Vocabolario
  VALUES (N'EN', N'lblQtaUDC', N'Pezzi x UDC')
INSERT INTO dbo.Vocabolario
  VALUES (N'EN', N'lblQuantitaTotale', N'Quantitą totale')
INSERT INTO dbo.Vocabolario
  VALUES (N'EN', N'PostAnimeMult', N'Cart. anime ext.')
INSERT INTO dbo.Vocabolario
  VALUES (N'EN', N'PostAnimeMultExpl', N'Gestione Stampa Cartellini per anime esterne')
INSERT INTO dbo.Vocabolario
  VALUES (N'IT', N'lblNumUDC', N'Numero UDC')
INSERT INTO dbo.Vocabolario
  VALUES (N'IT', N'lblQtaUDC', N'Pezzi x UDC')
INSERT INTO dbo.Vocabolario
  VALUES (N'IT', N'lblQuantitaTotale', N'Quantitą totale')
INSERT INTO dbo.Vocabolario
  VALUES (N'IT', N'PostAnimeMult', N'Cart. anime ext.')
INSERT INTO dbo.Vocabolario
  VALUES (N'IT', N'PostAnimeMultExpl', N'Gestione Stampa Cartellini per anime esterne')
go

commit transaction
go








-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(435, GETDATE())
GO
